Subject: RE: Receiving e-mail message from the Exchange Server

From: "Huang, Sean" <[email-masked]>
Date: Tue, 4 May 1999 13:45:08 -0700

The puzzling part is that I can configure it to send out the mail from the
exchange server.  Hmm...  Perhaps that I can configure the UNIX's e-mail and
have Exchange relay the message to UNIX?

Sean Huang
Dataframe Logistics, Inc.

-----Original Message-----
From: Jeff A Kinsey [mailto:[email-masked]]
Sent: Tuesday, May 04, 1999 12:20 PM
To: Pine Discussion Forum
Subject: Re: Receiving e-mail message from the Exchange Server

my two cents worth... i thought i saw in a linux HowTo what was required to
connect
to a ms-exchange mail system. i cannot remember too much more than that...
but i
do
recall remembering it was possible.

-jeff

Steven Whatley wrote:

> On Tue, 4 May 1999, Huang, Sean wrote:
> > Have anyone ever configure a UNIX pine to receive the POP3 email from
the NT
> > Exchange server?  UNIX machine does not have any mail system working.
> > Exchange server on NT, which is on the different IP address, is the only
> > e-mail system running.
>
> Exchange 5.5 supports IMAP4 which Pine prefers to use.  Some folks claim
> they have gotten pine to talk to MS Exchange Server but noone has
> provided details on how to do it.
>
> When I try to connect to an MS Exchange Server, I get a message, "Clear
> channel (I assume non-encrypted) passwords are not allowed."  I suspect I
> need keberose 5 server on my machine.  I don't have root privileges so
> that won't do me any good.  Appearently Pine can be compiled to have
> Keberose support.
>
> Any suggestions?
>
> Thanks,
> Steven
> --
>                  _|_  |  _|_   "I am the way and the truth and the life.
>                   | --|-- |     No one comes to the Father except through
> Steven Whatley    |   |   |      me.  If you really knew me, you would
> Houston, Texas        |           know my Father as well.  From now on,
> [email-masked]   |            you do know him and have seen him."
> http://www.blkbox.com/~swhatley/        -- Jesus Christ (John 14:6-7 NIV)

---

From: "Ifversen, Jody M" <[email-masked]>
Date: Tue, 4 May 1999 15:04:42 -0600

Hello,

I have gotten PINE 4.00 (haven't tried newer versions, yet) to talk with an
Exchange 5.5 server via IMAP4.  PINE is running on a Digital Unix 4.0d
server.  I am currently in the process of setting up a Sun Solaris server
with PINE 4.10 which will also use Exchange as the mail server.  (Anyone
here good at configuring Solaris for caching-only DNS resolution??)

Please contact me for further details.

-Jody

BTW: For the morbidly curious, I initially got PINE 3.96 running under
OpenVMS to talk (via IMAP) with Exchange.  This did require some
'non-standard' modifications to PINE in order to accommodate Exchange's lack
of some of the older IMAP2 commands.

-- 
-----------------------------------------------------------------
Jody Ifversen                        [email-masked]
Network Administrator II                [email-masked]
Lovelace Health Systems                          (505) 262-7655
Albuquerque, NM                             Fax: (505) 268-2967
-----------------------------------------------------------------

---

From: "Ifversen, Jody M" <[email-masked]>
Date: Tue, 11 May 1999 13:43:49 -0600

> From: Scott Leibrand [mailto:[email-masked]]
> Sent: Tuesday, May 11, 1999 1:06 PM
> To: Ifversen, Jody M
> Cc: Pine Discussion Forum
> Subject: RE: Receiving e-mail message from the Exchange Server
> 
> 
> On Tue, 11 May 1999, Ifversen, Jody M wrote:
> 
> > BTW: Is there any way to have the /user=xxxx username 
> filled in from the
> > Unix login name or a shell variable?  I would like to 
> create a generic
> > pine.conf-fixed with this info if it can be done.
> > 
>  
> If the xxxx in /user=xxxx matches your login name, the /user=xxxx flag
> isn't even necessary, is it?  By default, Pine fills in the 
> name you used
> to log on to the machine Pine's running from, at least on the machines
> I've run it on.

Duhhh!!  I guess I should have tried it this way first.  The copy of 3.96
that I modified for use with Exchange would continuously prompt for the
username/password whenever moving between folders if the username wasn't
included in the server specification.  Of course this could have been
related to my modifications. :)

Nevermiinnndd!!

-Jody

---

From: "Ifversen, Jody M" <[email-masked]>
Date: Tue, 11 May 1999 13:53:31 -0600

> From: Steven Whatley [mailto:[email-masked]]
> Sent: Tuesday, May 11, 1999 1:21 PM
> To: Ifversen, Jody M
> Cc: 'Huang, Sean'; Pine Discussion Forum (E-mail)
<snip>
> months ago.  The problem is that it seems that the Exchange server I'm
> trying to access has username/password encryption turned on.  
>  I get the
> following message when connecting:
> 
>          [>Clear text passwords have been disabled for this protocol<]
> 
Yeah, I guess that could be a problem.  Due to the way our network is setup,
we weren't overly concerned with having clear-text passwords on the wire
internally.

> So I think I need to compile Pine with Keberose 5 support.  
> But, I don't
> think Solaris 2.6 comes with Keberose 5 on it I think it has krb4 or
> less.. I don't have root access to my system and there is no way I can
> talk to this site's Exchange admins much less get them to 
> make any changes
> to the Exchange server.
> 

I don't know if Kerberos will help any either.  I know that Exchange 5.5
supports 3 types of authentication out of the box.  Clear-text, NT
Challenge-Response (probably what your site is using), and MCIS Membership.
Each of these can be enabled with and/or without SSL.

Unfortunately, I don't really have the time right now to try other
combinations of authentication to see what can/cannot work with PINE.
Perhaps a third party has written a Kerberos mechanism for Exchange?  If I
get the chance in the next couple of days, I will check on this.

-Jody